import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;

public class JSpinnerTest18 extends JFrame{

  public static void main(String[] args){
    JSpinnerTest18 frame = new JSpinnerTest18();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest18(){
    SpinnerDateModel model = new SpinnerDateModel();
    JSpinner spinner = new JSpinner(model);

    JSpinner.DateEditor editor = new JSpinner.DateEditor(spinner, "yyyy.MM.dd");
    spinner.setEditor(editor);
    spinner.setPreferredSize(new Dimension(150, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    getContentPane().add(p, BorderLayout.CENTER);
  }
}